## ros-iron-openni2-camera 2.0.1

=== debian/changelog ===
ros-iron-openni2-camera (2.0.1-3jammy) jammy; urgency=high

  * fix device time (#129 <https://github.com/ros-drivers/openni2_camera/issues/129>)
  * add build depend on pkg-config (#128 <https://github.com/ros-drivers/openni2_camera/issues/128>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-openni2-camera (2.0.0-3jammy) jammy; urgency=high

  * revive the test wrapper (#127 <https://github.com/ros-drivers/openni2_camera/issues/127>)
    resolves #123 <https://github.com/ros-drivers/openni2_camera/issues/123>
  * remove boost and unused files (#122 <https://github.com/ros-drivers/openni2_camera/issues/122>)
    * replace boost functionality by standard C++
    * remove ROS nodelet metadata
    * store parameter callback
    * remove ROS1 node
    * remove unused os import
    Co-authored-by: Christian Rauch <mailto:Rauch.Christian@gmx.de>
  * fix build, target only humble and later (#118 <https://github.com/ros-drivers/openni2_camera/issues/118>)
  * Capability: [CI] Add GitHub Action (#116 <https://github.com/ros-drivers/openni2_camera/issues/116>)
    * Capability: [CI] Add GitHub Action
    * Maintenance: Update maintaner contact
  * initial port to ROS2
  * Contributors: Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-openni2-camera (1.6.0-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 11 Apr 2022 16:00:00 -0000

ros-iron-openni2-camera (1.5.1-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 31 Jan 2021 16:00:00 -0000

ros-iron-openni2-camera (1.5.0-3jammy) jammy; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 11 Jan 2021 16:00:00 -0000

ros-iron-openni2-camera (1.4.2-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-openni2-camera (0.4.2-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 30 Nov 2018 16:00:00 -0000

ros-iron-openni2-camera (0.4.1-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 19 Oct 2018 16:00:00 -0000

ros-iron-openni2-camera (0.4.0-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 16 Jul 2018 16:00:00 -0000

ros-iron-openni2-camera (0.3.0-3jammy) jammy; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 02 Nov 2017 16:00:00 -0000

ros-iron-openni2-camera (0.2.9-3jammy) jammy; urgency=high

  * [fix] Device re-connection #53 <https://github.com/ros-drivers/openni2_camera/issues/53>
  * [fix] Publish projector/camera_info (fixes disparity img) #48 <https://github.com/ros-drivers/openni2_camera/issues/48>
  * Contributors: Isaac I.Y. Saito, Martin Guenther, Shaun Edwards

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 24 Oct 2017 16:00:00 -0000

ros-iron-openni2-camera (0.2.8-3jammy) jammy; urgency=high

  * [capability] Add exposure time control #46 <https://github.com/ros-drivers/openni2_camera/issues/46>
  * [fix] device URI formatting #47 <https://github.com/ros-drivers/openni2_camera/issues/47>
  * Contributors: Martin Guenther, Michael Ferguson, Sergey Alexandrov

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 16 Aug 2017 16:00:00 -0000

ros-iron-openni2-camera (0.2.7-3jammy) jammy; urgency=high

  * Merge pull request #44 <https://github.com/ros-drivers/openni2_camera/issues/44> from jacquelinekay/fix_kinetic_build
    fix compile on kinetic
  * Contributors: Jackie Kay, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 06 Jun 2016 16:00:00 -0000

ros-iron-openni2-camera (0.2.6-3jammy) jammy; urgency=high

  * [fix] Compile for OSX #30 <https://github.com/ros-drivers/openni2_camera/issues/30>
  * [fix] Crash on OSX and warning fixes.
  * Contributors: Hans Gaiser, Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 04 May 2016 16:00:00 -0000

ros-iron-openni2-camera (0.2.5-3jammy) jammy; urgency=high

  * Merge pull request #34 <https://github.com/ros-drivers/openni2_camera/issues/34> from Intermodalics/feature/get_serial_service
    added get_serial service
  * Contributors: Michael Ferguson, Ruben Smits

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 14 Oct 2015 16:00:00 -0000

ros-iron-openni2-camera (0.2.4-3jammy) jammy; urgency=high

  * proper usage of device_id parameter in resolveDeviceURI, resolve unique parts of device URIs, too
  * print vendor id and product id as hex value (like in lsusb)
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Apr 2015 16:00:00 -0000

ros-iron-openni2-camera (0.2.3-3jammy) jammy; urgency=high

  * Explicitly ask for serial number when trying to resolve device URI instead of doing it once on device connected, fixes #24 <https://github.com/ros-drivers/openni2_camera/issues/24>
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 15 Jan 2015 16:00:00 -0000

ros-iron-openni2-camera (0.2.2-3jammy) jammy; urgency=high

  * Add usb_reset
  * Contributors: Kei Okada, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Oct 2014 16:00:00 -0000

ros-iron-openni2-camera (0.2.1-3jammy) jammy; urgency=high

  * Fixed a bug that prevents depth only sensors from properly calculating the point cloud due to incorrect focal length
  * Updated cmakelists for OSX
  * Contributors: Colin Lea, Michael Ferguson, Tarek Taha

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Aug 2014 16:00:00 -0000

ros-iron-openni2-camera (0.2.0-3jammy) jammy; urgency=high

  * device_id: find camera by serial number

