=== debian/control ===
Source: ros-iron-openni2-camera
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libopenni2-dev, pkg-config, ros-iron-ament-cmake, ros-iron-builtin-interfaces, ros-iron-camera-info-manager, ros-iron-image-transport, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rosidl-default-generators, ros-iron-sensor-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-openni2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenni2-dev, ros-iron-builtin-interfaces, ros-iron-camera-info-manager, ros-iron-image-transport, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rosidl-default-runtime, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: Drivers for the Asus Xtion and Primesense Devices.
 For using a kinect with ROS, try the freenect stack
